Bug 1294335 - Missing dependency on python*-monotonic
Missing dependency on python*-monotonic
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-fasteners (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-27 04:07 EST by Ville Skyttä
Modified: 2016-09-15 14:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-fasteners-0.14.1-6.fc24 python-fasteners-0.14.1-6.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-15 14:41:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use time.monotonic if available (Python3 > 3.2) (397 bytes, patch)
2015-12-27 04:07 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2015-12-27 04:07:46 EST
Created attachment 1109787 [details]
Use time.monotonic if available (Python3 > 3.2)

$ rpm -q python3-fasteners
python3-fasteners-0.12.0-1.fc23.noarch

$ python3 -c "import fasteners"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python3.4/site-packages/fasteners/__init__.py", line 23, in <module>
    from fasteners.lock import locked  # noqa
  File "/usr/lib/python3.4/site-packages/fasteners/lock.py", line 24, in <module>
    from fasteners import _utils
  File "/usr/lib/python3.4/site-packages/fasteners/_utils.py", line 22, in <module>
    from monotonic import monotonic as now  # noqa
ImportError: No module named 'monotonic'

So, either a dependency on python-monotonic/python3-monotonic is needed. For python 3, given that no active Fedora versions have Python3 < 3.3, the attached patch would suffice (no need for the python3-monotonic dependency with it).

Rawhide is also affected.
Comment 1 Ben Rosser 2016-08-28 16:32:37 EDT
This appears to still be an issue, any chance of a fix?
Comment 2 Fedora Update System 2016-08-29 03:10:29 EDT
python-fasteners-0.14.1-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3688c196e1
Comment 3 Matthias Runge 2016-08-29 03:11:19 EDT
Oops. I'm sorry here. Just submitted an update
Comment 4 Fedora Update System 2016-08-29 18:53:12 EDT
python-fasteners-0.14.1-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3688c196e1
Comment 5 Fedora Update System 2016-09-06 02:51:13 EDT
python-fasteners-0.14.1-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ba80f301a5
Comment 6 Fedora Update System 2016-09-06 18:23:28 EDT
python-fasteners-0.14.1-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-09-06 23:21:37 EDT
python-fasteners-0.14.1-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ba80f301a5
Comment 8 Fedora Update System 2016-09-15 14:41:09 EDT
python-fasteners-0.14.1-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.